Delete a document

Deletes a document using either the internal Customerly document ID or your custom identifier.
If the document is not found, a 404 error is returned.

Document Identification

You can delete a document using two types of identifiers:

1. Customerly Document ID (numeric):

  • Use the internal document ID directly (e.g., 12345)
  • Example: DELETE /documents/12345

2. Custom Document ID (prefixed with cid:):

  • Use your custom identifier with the cid: prefix
  • Example: If your custom_document_id is doc_12345, use DELETE /documents/cid:doc_12345
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The document identifier. Can be either the numeric Customerly document ID (e.g., '12345') or your custom_document_id prefixed with 'cid:' (e.g., 'cid:doc_12345')

Responses
204

Document deleted successfully

401

Authentication required

403

Permission denied

404

Document not found

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!